<?php
include_once("c_events_quiz_card_db.php");
class c_page_cab_events_quiz_card_db_actions extends c_page_cab_events_quiz_card_db
{
  public $h1='Операции по мероприятию' ;
  function block_main()
  { $this->page_title() ;

	?><strong>Перенос мероприятия в тему КЗ:</strong><br><?
    $form=new i_form() ;
    $form->form_open();
    $form->row_open();
    $recs_events=execSQL_row('select pkey,concat(obj_name," [",pkey,"]") from obj_site_events_schedule where ext like "%quiz%" and enabled=1 and status!=5') ;
    $form->element_select(['title'=>'Общее мероприятие','name'=>'event_id','recs'=>$recs_events]);
    $recs_sections=QUIZ()->get_arr_groups_select_options() ;
    $form->element_select(['title'=>'Тема КЗ','name'=>'theme_id','recs'=>$recs_sections]);
    $form->row_close();
    $form->button('Перенести мероприятие','move_event_to_theme',['cmd_method'=>'v1']) ;
    $form->form_close();
  }

  function CMD_move_event_to_theme()
  {
      //damp_array($_POST) ;
      // 1. Получаем список фильтров по участникам мероприятия
      //$rec_event=EVENTS()->get_event_by_id($_POST['event_id']) ;
      //damp_array($rec_event);
      //$rec_event=EVENTS()->get_event_by_id($_POST['event_id']) ;
      //damp_array($this->rec_event);
      //$rec_section=QUIZ()->get_theme_by_id($_POST['theme_id']) ;
      //damp_array($rec_section);

      echo 'Производим обновление данных по фильтру в  разделе КЗ ID '.$_POST['theme_id'].'<br>' ;
      $data=[] ;
      $data['filter']=json_encode($this->rec_event['_ext_info']['filter']) ;
      QUIZ()->section_save($_POST['theme_id'],$data);
      echo '<span class=green>Данные обновлены, необходимо пересоздать список участников в теме контроля знаний</span>' ;
      ?><a class="new_window" href="/frame/quiz/theme/card/<?echo $_POST['theme_id']?>/personal_set/[view_event_filter=1]/">Пересоздать список участников в теме контроля знаний</a><br><?
      echo 'Переносим данные по участие в мероприятие в новое мероприятие<br>' ;
      execSQL_update('update obj_site_events_pass set event_id='.$_POST['event_id'].' where event_id='.$this->rec_event['pkey'],1) ;
      execSQL_update('update obj_site_events_pass_status set event_id='.$_POST['event_id'].' where event_id='.$this->rec_event['pkey'],1) ;
      echo '<span class=green>Данные обновлены</span>' ;
      //$data['usl_select']=$this->rec_event['_ext_info']['']
      //$data['info_filter']=
      //$data['viewer_name']=
  }

  function CMD_move_event_to_quiz_theme()
  {
      ?><h2>Перенос мероприятия в тему КЗ</h2><?
      $arr_themes=execSQL('select * from quiz_themes where event_id>0',2) ;
      $form=new i_form() ;


      damp_array($this->rec_event,1,-1);
      return(false);
  }


}



?>